Bug 240391 - Review Request: testoob - Advanced unit testing framework for Python
Review Request: testoob - Advanced unit testing framework for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 20:41 EDT by Devan Goodwin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-23 17:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2007-05-16 20:41:30 EDT
Spec URL: http://dangerouslyinc.com/rpm/testoob/testoob.spec
SRPM URL: http://dangerouslyinc.com/rpm/testoob/testoob-1.13-1.fc7.src.rpm
Description: Testoob is an advanced unit testing framework for Python. It integrates effortlessly with existing PyUnit (module ‘unittest’) test suites.

rpmlint output:

(dev@kramer)[~/rpmbuild/SRPMS] % rpmlint testoob-1.13-1.fc7.src.rpm 
(dev@kramer)[~/rpmbuild/SRPMS] % 

(dev@kramer)[~/rpmbuild/RPMS/noarch] % rpmlint testoob-1.13-1.fc7.noarch.rpm 
E: testoob non-executable-script /usr/lib/python2.5/site-packages/testoob/compatibility/trace.py 0644
(dev@kramer)[~/rpmbuild/RPMS/noarch] %

The script in question has an opening line of #!/usr/bin/env python but is not executable in the upstream source. If this is a problem I can submit a patch to the maintainer.
Comment 1 Ruben Kerkhof 2007-06-10 10:37:56 EDT
Hi Devan,

> The script in question has an opening line of #!/usr/bin/env python
> but is not executable in the upstream source.
> If this is a problem I can submit a patch to the maintainer.

Please report this upstream.
You can fix it in the %prep section with a simple chmod until upstream fixes this.

Review for release 1:
* RPM name is OK
* Source testoob-1.13.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK
Comment 2 Devan Goodwin 2007-06-10 18:10:52 EDT
Attempted to chmod with:

%prep
%setup -q -n testoob-%{version}
chmod u+x src/testoob/compatibility/trace.py

But this does not seem to work, any ideas what I might be doing wrong? The chmod
executes and finds the file, but the resulting rpm still lacks the execute
permission.

Also, I'm not entirely sure how important this script is but considering it's
final destination (/usr/lib/python2.5/site-packages/testoob/) should it be made
executable (or included) at all?
Comment 3 Ruben Kerkhof 2007-06-10 21:12:14 EDT
Seems like distutils resets permissions. I added
chmod 0755 $RPM_BUILD_ROOT%{python_sitelib}/testoob/compatibility/trace.py
add the end of the %install section, and that worked.

It looks like the trace module is used by coverage.py, so I would leave it in site-packages.
Comment 4 Devan Goodwin 2007-06-12 16:03:48 EDT
Spec URL: http://dangerouslyinc.com/rpm/testoob/testoob.spec
SRPM URL: http://dangerouslyinc.com/rpm/testoob/testoob-1.13-2.fc7.src.rpm

Made the suggested change to the install section, rpmlint is now happy as well.

Problem has also been reported upstream.
Comment 5 Ruben Kerkhof 2007-06-17 02:33:29 EDT
Can you include the upstream tarbal in your srpm?

[ruben@odin review]$ sha1sum testoob-1.13.tar.gz.upstream  testoob-1.13.tar.gz
670496cef42897dabc1514c5f79869c98074d4d8  testoob-1.13.tar.gz.upstream
afcd89f142d3d5de0211cae75f8a655d94f9ca1b  testoob-1.13.tar.gz
Comment 6 Devan Goodwin 2007-06-17 08:07:02 EDT
Oops, I seem to have re-tarred myself with the script change discussed above and
forgotten about it. Fixed now.

Spec URL: http://dangerouslyinc.com/rpm/testoob/testoob.spec
SRPM URL: http://dangerouslyinc.com/rpm/testoob/testoob-1.13-3.fc7.src.rpm
Comment 7 Ruben Kerkhof 2007-06-17 11:24:57 EDT
Review for release 3:
* RPM name is OK
* Source testoob-1.13.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* I did some basic functionality testing, it works OK

This package is approved.
Comment 8 Devan Goodwin 2007-06-17 11:34:33 EDT
New Package CVS Request
=======================
Package Name: testoob
Short Description: Advanced unit testing framework for Python. 
Owners: dgoodwin@dangerouslyinc.com
Branches: F-7
InitialCC: 
Comment 9 Kevin Fenzi 2007-06-18 00:58:05 EDT
cvs done.
Comment 10 Ruben Kerkhof 2007-06-23 17:27:52 EDT
Devan, can you close this one when you're done?
Comment 11 Devan Goodwin 2007-06-23 17:45:01 EDT
My apologies, missed a step. Closing now.

Note You need to log in before you can comment on or make changes to this bug.